#

Function INSPECT

Syntax:

inspect object => implementation-dependent

Arguments and Values:

object---an object.

Description:

inspect is an interactive version of describe. The nature of the interaction is implementation-dependent, but the purpose of inspect is to make it easy to wander through a data structure, examining and modifying parts of it.

Examples: None.

Side Effects:

implementation-dependent.

Affected By:

implementation-dependent.

Exceptional Situations:

implementation-dependent.

See Also:

describe

Notes:

Implementations are encouraged to respond to the typing of `?` or a ``help key'' by providing help, including a list of commands.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- RETURN-VALUES-UNSPECIFIED:SPECIFY

Copyright 1996-2005, LispWorks Ltd. All rights reserved.